groovy.transform

## Annotation Type TypeChecked

    @Documented
     @Retention(value=SOURCE)
     @Target(value={METHOD,TYPE,CONSTRUCTOR})
    public @interface TypeChecked

This will let the Groovy compiler use compile time checks in the style of Java.

Author:
  Jochen "blackdrag" Theodorou

### Optional Element Summary

Optional Elements
`java.lang.String[]` `extensions` The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.
`TypeCheckingMode` `value`

### Element Detail

#### value

    public abstract TypeCheckingMode value

Default:
  groovy.transform.TypeCheckingMode.PASS

#### extensions

    public abstract java.lang.String[] extensions

The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.

Returns:
  an array of paths to groovy scripts that must be on compile classpath

Default:
  {}